Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.clearmaas.com/llms.txt

Use this file to discover all available pages before exploring further.

POSTCreate a response

OpenAPI

/openapi.yaml post /responses
openapi: 3.1.0
info:
  title: ClearMaas API
  version: '2026.04'
  description: ClearMaas is an OpenAI-compatible API gateway.
  contact:
    name: ClearMaas Support
    email: support@clearmaas.com
    url: https://clearmaas.com
servers:
  - url: https://api.clearmaas.com/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /responses:
    post:
      tags:
        - Responses
      summary: Create a response
      operationId: createResponse
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponsesRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    ResponsesRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          example: openai/gpt-4.1
        input:
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/ChatMessage'
        instructions:
          type: string
        previous_response_id:
          type: string
        tools:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
        tool_choice:
          oneOf:
            - type: string
            - type: object
        temperature:
          type: number
        top_p:
          type: number
        max_output_tokens:
          type: integer
        stream:
          type: boolean
        reasoning:
          type: object
          properties:
            effort:
              type: string
              enum: [low, medium, high]
        store:
          type: boolean
        metadata:
          type: object
    ChatMessage:
      type: object
      required: [role]
      properties:
        role:
          type: string
          enum: [system, user, assistant, tool, function]
        content:
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/ChatMessageContentPart'
        name:
          type: string
        tool_calls:
          type: array
          items:
            $ref: '#/components/schemas/ToolCall'
        tool_call_id:
          type: string
    ChatMessageContentPart:
      oneOf:
        - type: object
          required: [type, text]
          properties:
            type:
              type: string
              enum: [text]
            text:
              type: string
        - type: object
          required: [type, image_url]
          properties:
            type:
              type: string
              enum: [image_url]
            image_url:
              type: object
              required: [url]
              properties:
                url:
                  type: string
                detail:
                  type: string
                  enum: [auto, low, high]
    ToolCall:
      type: object
      required: [id, type, function]
      properties:
        id:
          type: string
        type:
          type: string
          enum: [function]
        function:
          type: object
          required: [name, arguments]
          properties:
            name:
              type: string
            arguments:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key (sk-clearmaas-...)
      description: Pass `Authorization: Bearer sk-clearmaas-...` header.